## gdk-pixbuf 2.38.0+dfsg

=== debian/changelog ===
gdk-pixbuf (2.38.0+dfsg-6) unstable; urgency=medium

  * Team upload
  * gir1.2-gdkpixbuf-2.0 Breaks: libgtk3-perl (<< 0.034-2~), to avoid
    #908323 being reported as an autopkgtest regression in gtk+3.0
  * d/watch: Use dversionmangle to remove +dfsg suffix (thanks, Lintian)
  * d/copyright: Correct syntax for matching
    contrib/gdk-pixbuf-xlib/gdk-pixbuf-xlibrgb.?. Machine-readable
    copyright file format supports * and ? wildcards, but not [ch].
  * d/copyright: Remove stanzas for files that are no longer included
  * Enable bindnow linker hardening
  * gir1.2-gdkpixbuf-2.0 Provides gir1.2-gdkpixdata-2.0, to reflect its
    contents
    - Remove lintian overrides that are no longer necessary

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Sep 2018 11:57:58 +0100

gdk-pixbuf (2.38.0+dfsg-5) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/rules: Use meson test --print-errorlogs
    dh_auto_test normally does that for us

  [ Iain Lane ]
  * Add new patch to include gdk-pixdata.c when building the GdkPixbuf gir.
    This fixes broken introspection metadata that at least would have broken
    libgtk3-perl. (Closes: #908673)

 -- Iain Lane <laney@debian.org>  Thu, 13 Sep 2018 12:50:53 +0100

gdk-pixbuf (2.38.0+dfsg-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update debian/gbp.conf
  * debian/libgdk-pixbuf2.0-0.install: Use ${DEB_HOST_MULTIARCH} less.
    Thanks lintian.

  [ John Paul Adrian Glaubitz ]
  * debian/rules: Have dh_auto_test override honor nocheck (Closes: #908373)

  [ Chris Lamb ]
  * Add Use-basename-instead-of-filename.patch:
    - Proposed patch for reproducible builds and multi-arch co-installability
      (Closes: #908309)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 09 Sep 2018 08:12:01 -0400

gdk-pixbuf (2.38.0+dfsg-3) unstable; urgency=medium

  [ Sven Joachim ]
  * Fix FTBFS on any-i386 (Closes: #908298)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 08 Sep 2018 10:54:08 +0200

gdk-pixbuf (2.38.0+dfsg-2) unstable; urgency=medium

  * Allow 5× as much time for the tests, to hopefully allow gdk-pixbuf to pass
    tests on all of our slower arches.

 -- Iain Lane <laney@debian.org>  Fri, 07 Sep 2018 17:43:33 +0100

gdk-pixbuf (2.38.0+dfsg-1) unstable; urgency=medium

  * New upstream release (LP: #1791301)
    - Add test case for buffer overflow in pixdata loader
    - Avoid a deprecation warning with recent libjasper
    - Deprecate GDK_INTERP_HYPER
    - Drop Autotools build and move to Meson
    - Drop the MMX assembly optimizations for pixops
    - Ensure that GdkPixbuf's storage is safely handled
    - Expose the dimensions of the original image from GdkPixbufLoader
    - Fix documentation building with X11 disabled
    - Fix introspection annotations
    - Fix OOB error when dithering
    - Generate separate introspection data for GdkPixdata API
    - Improve compatibility for the post-install script
    - Improve thumbnailer implementation
    - Make X11 a dependency if the `x11` build option is enabled
    - Plug a memory leak when using GBytes
    - Properly install test data
  * debian/copyright: Exclude tests/bug753605-atsize.jpg, which is non-free.
    This was added for a testcase, but we can't distribute it. The testcase
    itself is disabled in debian/patches/Remove-test-for-GNOME-753605.patch
    already.
  * Remove-test-for-GNOME-753605.patch:
    + Remove "wasn't included in the tarball" It now is in the tarball, but we
    + Don't try to install bug753605-atsize.jpg
    are repacking to exclude it.
  * Build with meson.
  * Don't build the installed tests for this upload. It'd require a trip
    through binNEW
  * docs: Drop AUTHORS, rename README to README.md
  * libgdk-pixbuf2.0-0.symbols: Drop two private symbols. These are in a
    private header and weren't meant to be exported. codesearch.d.n shows no
    external users.
  * Bump Standards-Version to 4.2.1 (no changes required)
  * Add Lintian overrides for warnings about GdkPixdata introspection data.
    It's intentional that this is in gir1.2-gdkpixbuf-2.0

 -- Iain Lane <laney@debian.org>  Fri, 07 Sep 2018 14:45:00 +0100

gdk-pixbuf (2.36.12-2) unstable; urgency=medium

  * Team upload

  [ Hugh McMaster ]
  * Move gdk-pixbuf-csource and gdk-pixbuf-pixdata into
    libgdk-pixbuf2.0-bin (Closes: #876183, #882785).
  * Update the package description for libgdk-pixbuf2.0-bin.
  * Mark libgdk-pixbuf2.0-dev Multi-Arch: same (Closes: #689125).

  [ Simon McVittie ]
  * Update versioned Breaks/Replaces
  * Remove /usr/bin/gdk-pixbuf-query-loaders symlink from -dev package.
    It has architecture-dependent output and breaks Multi-Arch: same
    co-installability. Debian packages do not seem to rely on this tool
    being in PATH.
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Aug 2018 15:15:42 +0100

gdk-pixbuf (2.36.12-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Drop all patches, applied upstream
  * d/copyright: Mention gtk-doc.make and m4/gtk-doc.m4
  * d/p/Remove-test-for-GNOME-753605.patch:
    Patch out test for GNOME#753605. It relies on non-free test data
    (that is malformed in the right way to exhibit the bug), which was
    not included in the upstream 2.36.12 tarball.
    (Note to future maintainers: when packaging versions
    2.37+ please check that the non-free file is not included.)
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.1.5 (no changes required)
  * Use debhelper 11 compat level
  * d/copyright: Correct syntax
  * Upgrade udeb from deprecated priority extra to optional
  * Remove ineffective lintian override for the udeb
  * d/libgdk-pixbuf2.0-0.lintian-overrides: Document non-SONAME-based
    package name

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Jul 2018 10:44:54 +0100
