=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gdk-pixbuf
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-exec,
               gnome-pkg-tools (>= 0.10),
               meson (>= 0.46.0),
               libglib2.0-dev (>= 2.48.0),
               libx11-dev,
               libpng-dev (>= 1.6),
               libpng-dev (<< 1.7),
               libjpeg-dev,
               libtiff-dev,
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.3),
               xsltproc,
               shared-mime-info (>= 1.2),
               gtk-doc-tools (>= 1.20),
               libglib2.0-doc,
Rules-Requires-Root: no
Standards-Version: 4.2.1
Homepage: http://www.gtk.org/
Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf

Package: libgdk-pixbuf2.0-0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         shared-mime-info,
         libgdk-pixbuf2.0-common (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Recommends: libgdk-pixbuf2.0-bin
Multi-Arch: same
Description: GDK Pixbuf library
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)

Package: libgdk-pixbuf2.0-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Replaces: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
Breaks: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
Description: GDK Pixbuf library (thumbnailer)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the GDK pixdata compression utility, the thumbnailer
 and a utility for converting images into C code.

Package: libgdk-pixbuf2.0-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: GDK Pixbuf library - data files
 This package contains the common files and translations for the GDK
 Pixbuf library.

Package: libgdk-pixbuf2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgdk-pixbuf2.0-0 (= ${binary:Version}),
         libgdk-pixbuf2.0-bin (= ${binary:Version}),
         gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.37.6),
         libx11-dev,
         libpng-dev (>= 1.6),
         libpng-dev (<< 1.7),
         shared-mime-info
Description: GDK Pixbuf library (development files)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the header files which are needed for using GDK Pixbuf.

Package: libgdk-pixbuf2.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GDK Pixbuf library (documentation)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the HTML documentation for the GDK Pixbuf library
 in /usr/share/doc/libgtk2.0-doc/ .

Package: libgdk-pixbuf2.0-0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GDK Pixbuf library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the minimal runtime library needed by
 the Debian installer.

Package: gir1.2-gdkpixbuf-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libgtk3-perl (<< 0.034-2~)
Provides: gir1.2-gdkpixdata-2.0 (= ${binary:Version})
Description: GDK Pixbuf library - GObject-Introspection
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
