=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 include /usr/share/dpkg/architecture.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 %:
 	dh $@ --with gir,gnome
