## gdk-pixbuf 2.38.1+dfsg

=== debian/changelog ===
gdk-pixbuf (2.38.1+dfsg-1+deb10u2) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * debian/gbp.conf: set packaging branch to debian/buster.
  * debian/patches/CVE-2025-7345.patch: import patch from upstream.
      - CVE-2025-7345: A flaw exists in gdk‑pixbuf within the
        gdk_pixbuf__jpeg_image_load_increment function (io-jpeg.c) and in
        glib’s g_base64_encode_step (glib/gbase64.c) potentially leading to a
        buffer overflow. (Closes: #1109262)
  * debian/salsa-ci.yml:
      - Add (E)LTS pipeline for buster.
      - Build with nocheck so the package builds in salsa-ci. gdk-pixbuf's
        tests trigger oom-killer in salsa-ci only.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Mon, 27 Oct 2025 22:46:37 -0300

gdk-pixbuf (2.38.1+dfsg-1+deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2022-48622: ANI file loader memory corruption

 -- Adrian Bunk <bunk@debian.org>  Mon, 12 Aug 2024 19:56:33 +0300
