=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                gtk-doc-tools (>= 1.20),
                libglib2.0-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://www.gtk.org/
 Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf
