## gdk-pixbuf 2.40.0+dfsg

=== meson_options.txt ===
option('png',
       description: 'Enable PNG loader (requires libpng)',
       type: 'boolean',
       value: true)
option('tiff',
       description: 'Enable TIFF loader (requires libtiff), disabled on Windows if "native_windows_loaders" is used',
       type: 'boolean',
       value: true)
option('jpeg',
       description: 'Enable JPEG loader (requires libjpeg), disabled on Windows if "native_windows_loaders" is used',
       type: 'boolean',
       value: true)
option('jasper',
       description: 'Enable JPEG2000 loader (requires libjasper)',
       type: 'boolean',
       value: false)
option('x11',
       description: 'Enable X11 support (requires libX11)',
       type: 'boolean',
       value: true)
option('builtin_loaders',
       description: 'Comma-separated list of loaders to build into gdk-pixbuf, or "none", or "all" to build all buildable loaders into gdk-pixbuf',
       type: 'string',
       value: 'none')
option('docs',
       description: 'Whether to generate the API reference (requires GTK-Doc)',
       type: 'boolean',
       value: false)
option('gir',
       description: 'Whether to generate the API introspection data (requires GObject-Introspection)',
       type: 'boolean',
       value: true)
option('man',
       description: 'Whether to generate man pages (requires xlstproc)',
       type: 'boolean',
       value: true)
option('relocatable',
       description: 'Whether to enable application bundle relocation support',
       type: 'boolean',
       value: false)
option('native_windows_loaders',
       description: 'Use Windows system components to handle BMP, EMF, GIF, ICO, JPEG, TIFF and WMF images, overriding jpeg and tiff.  To build this into gdk-pixbuf, pass in windows" with the other loaders to build in or use "all" with the builtin_loaders option',
       type: 'boolean',
       value: false)
option('installed_tests',
       description: 'Install the test suite',
       type: 'boolean',
       value: true)
option('gio_sniffing',
       description: 'Perform file type detection using GIO (Unused on MacOS and Windows)',
       type: 'boolean',
       value: true)
