=== debian/control ===
--- 
+++ 
@@ -6,35 +6,36 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11~),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
+               docbook-xml,
+               docbook-xsl,
                gnome-pkg-tools (>= 0.10),
-               meson (>= 0.46.0),
-               libglib2.0-dev (>= 2.48.0),
-               libx11-dev,
-               libpng-dev (>= 1.6),
-               libpng-dev (<< 1.7),
-               libjpeg-dev,
-               libtiff-dev,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3),
-               xsltproc,
+               libglib2.0-dev (>= 2.48.0),
+               libjpeg-dev,
+               libpng-dev (<< 1.7),
+               libpng-dev (>= 1.6),
+               libtiff-dev,
+               libx11-dev,
+               meson (>= 0.46.0),
                shared-mime-info (>= 1.2),
-               gtk-doc-tools (>= 1.20),
-               libglib2.0-doc,
+               xsltproc
+Build-Depends-Indep: gtk-doc-tools (>= 1.20) <!nodoc>, libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: http://www.gtk.org/
 Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf
 
 Package: libgdk-pixbuf2.0-0
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: libgdk-pixbuf2.0-common (= ${source:Version}),
          shared-mime-info,
-         libgdk-pixbuf2.0-common (= ${source:Version})
+         ${misc:Depends},
+         ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: libgdk-pixbuf2.0-bin
 Multi-Arch: same
@@ -46,8 +47,7 @@
 
 Package: libgdk-pixbuf2.0-bin
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Replaces: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
 Breaks: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
@@ -72,16 +72,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
          libgdk-pixbuf2.0-0 (= ${binary:Version}),
          libgdk-pixbuf2.0-bin (= ${binary:Version}),
-         gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.37.6),
+         libpng-dev (<< 1.7),
+         libpng-dev (>= 1.6),
          libx11-dev,
-         libpng-dev (>= 1.6),
-         libpng-dev (<< 1.7),
-         shared-mime-info
+         shared-mime-info,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: GDK Pixbuf library (development files)
  The GDK Pixbuf library provides:
   - Image loading and saving facilities.
@@ -95,6 +95,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
 Description: GDK Pixbuf library (documentation)
  The GDK Pixbuf library provides:
   - Image loading and saving facilities.
@@ -108,8 +109,7 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GDK Pixbuf library - minimal runtime
  This is a udeb, or a microdeb, for the debian-installer.
  .
@@ -125,9 +125,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Breaks: libgtk3-perl (<< 0.034-2~)
 Provides: gir1.2-gdkpixdata-2.0 (= ${binary:Version})
 Description: GDK Pixbuf library - GObject-Introspection
@@ -138,3 +136,16 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
+
+Package: gdk-pixbuf-tests
+Architecture: any
+Depends: libgdk-pixbuf2.0-0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: installed tests for the GDK Pixbuf library
+ The GDK Pixbuf library provides:
+  - Image loading and saving facilities.
+  - Fast scaling and compositing of pixbufs.
+  - Simple animation loading (ie. animated GIFs)
+ .
+ This package contains the installed tests for the GDK Pixbuf library.
