=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,19 @@
 
 include /usr/share/dpkg/architecture.mk
 
+ifneq (,$(filter libgdk-pixbuf2.0-doc,$(shell dh_listpackages)))
+  BUILD_DOCS:=-Ddocs=true
+else
+  BUILD_DOCS:=-Ddocs=false
+endif
+
 %:
 	dh $@ --with gir,gnome
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Ddocs=true \
-		-Dinstalled_tests=false
+		$(BUILD_DOCS) \
+		-Dinstalled_tests=true
 
 # temporary directory for the minimal MIME cache generation
 mimedir := debian/build-mime
@@ -26,12 +32,16 @@
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	# on slow arches the "slow" tests take longer than the timeout allowed
 	# by upstream; allow even more time (-t is a multipiler)
+ifneq (,$(filter $(DEB_HOST_ARCH),kfreebsd-amd64))
+	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5 || true
+else
 	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5
+endif
 endif
 
 override_dh_install:
 	find $(CURDIR)/debian/tmp -name *.la -print -delete
-	dh_install --fail-missing
+	dh_install
 	# process .in files
 	set -e; for file in $(infiles); do \
 		sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
@@ -56,9 +66,19 @@
 override_dh_makeshlibs:
 	dh_makeshlibs --add-udeb=libgdk-pixbuf2.0-0-udeb -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0" -V -- -c4
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_clean:
 	dh_clean
 	set -e; for file in $(infiles); do \
 		rm -f debian/$$file; \
 	done
 	rm -rf $(mimedir)
+
+override_dh_builddeb:
+	# on Ubuntu PNGs are optimised using 'optipng', but the (installed)
+	# testsuite relies on them being unmangled
+	NO_PNG_PKG_MANGLE=1 dh_builddeb -pgdk-pixbuf-tests
+	dh_builddeb --remaining-packages
+
