=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, libgdk-pixbuf2.0-dev, pkg-config

Test-Command: gnome-desktop-testing-runner gdk-pixbuf
Depends: gdk-pixbuf-tests, gnome-desktop-testing
Features: test-name=installed-tests
