## gdk-pixbuf 2.42.2+dfsg

=== meson_options.txt ===
--- 
+++ 
@@ -10,26 +10,23 @@
        description: 'Enable JPEG loader (requires libjpeg), disabled on Windows if "native_windows_loaders" is used',
        type: 'boolean',
        value: true)
-option('jasper',
-       description: 'Enable JPEG2000 loader (requires libjasper)',
-       type: 'boolean',
-       value: false)
-option('x11',
-       description: 'Enable X11 support (requires libX11)',
-       type: 'boolean',
-       value: true)
 option('builtin_loaders',
        description: 'Comma-separated list of loaders to build into gdk-pixbuf, or "none", or "all" to build all buildable loaders into gdk-pixbuf',
        type: 'string',
        value: 'none')
-option('docs',
+option('gtk_doc',
        description: 'Whether to generate the API reference (requires GTK-Doc)',
        type: 'boolean',
        value: false)
-option('gir',
+option('docs',
+       description: 'Whether to generate the whole documentation (see: gtk_doc and man options) [Deprecated]',
+       type: 'boolean',
+       value: false)
+option('introspection',
        description: 'Whether to generate the API introspection data (requires GObject-Introspection)',
-       type: 'boolean',
-       value: true)
+       type: 'feature',
+       value: 'auto',
+       yield: true)
 option('man',
        description: 'Whether to generate man pages (requires xlstproc)',
        type: 'boolean',
