=== debian/control ===
--- 
+++ 
@@ -14,23 +14,22 @@
                gnome-pkg-tools (>= 0.10),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.3),
-               libglib2.0-dev (>= 2.48.0),
+               libglib2.0-dev (>= 2.56.0),
                libjpeg-dev,
                libpng-dev (<< 1.7),
                libpng-dev (>= 1.6),
                libtiff-dev,
-               libx11-dev,
-               meson (>= 0.46.0),
+               meson (>= 0.55.3),
                shared-mime-info (>= 1.2),
                xsltproc
 Build-Depends-Indep: gtk-doc-tools (>= 1.20) <!nodoc>, libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Homepage: http://www.gtk.org/
+Standards-Version: 4.5.1
+Homepage: https://www.gtk.org/
 Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf
 
-Package: libgdk-pixbuf2.0-0
+Package: libgdk-pixbuf-2.0-0
 Architecture: any
 Depends: libgdk-pixbuf2.0-common (= ${source:Version}),
          shared-mime-info,
@@ -38,6 +37,8 @@
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: libgdk-pixbuf2.0-bin
+Breaks: libgdk-pixbuf2.0-0 (<< 2.40.0+dfsg-6~)
+Replaces: libgdk-pixbuf2.0-0 (<< 2.40.0+dfsg-6~)
 Multi-Arch: same
 Description: GDK Pixbuf library
  The GDK Pixbuf library provides:
@@ -68,20 +69,21 @@
  This package contains the common files and translations for the GDK
  Pixbuf library.
 
-Package: libgdk-pixbuf2.0-dev
+Package: libgdk-pixbuf-2.0-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
-         libgdk-pixbuf2.0-0 (= ${binary:Version}),
+         libgdk-pixbuf-2.0-0 (= ${binary:Version}),
          libgdk-pixbuf2.0-bin (= ${binary:Version}),
-         libglib2.0-dev (>= 2.37.6),
+         libglib2.0-dev (>= 2.56.0),
          libpng-dev (<< 1.7),
          libpng-dev (>= 1.6),
-         libx11-dev,
          shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libgdk-pixbuf2.0-dev (<< 2.40.0+dfsg-6~)
+Replaces: libgdk-pixbuf2.0-dev (<< 2.40.0+dfsg-6~)
 Description: GDK Pixbuf library (development files)
  The GDK Pixbuf library provides:
   - Image loading and saving facilities.
@@ -106,6 +108,21 @@
  in /usr/share/doc/libgtk2.0-doc/ .
 
 Package: libgdk-pixbuf2.0-0-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: libgdk-pixbuf-2.0-0-udeb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: GDK Pixbuf library - minimal runtime
+ This is a udeb, or a microdeb, for the debian-installer.
+ .
+ The GDK Pixbuf library provides:
+  - Image loading and saving facilities.
+  - Fast scaling and compositing of pixbufs.
+  - Simple animation loading (ie. animated GIFs)
+ .
+ This transitional package depends on libgdk-pixbuf-2.0-0-udeb.
+
+Package: libgdk-pixbuf-2.0-0-udeb
 Package-Type: udeb
 Section: debian-installer
 Architecture: any
@@ -139,7 +156,7 @@
 
 Package: gdk-pixbuf-tests
 Architecture: any
-Depends: libgdk-pixbuf2.0-0 (= ${binary:Version}),
+Depends: libgdk-pixbuf-2.0-0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: installed tests for the GDK Pixbuf library
